From 3ecd375a947009251db0ce3e365d82a5fd9952b2 Mon Sep 17 00:00:00 2001
From: Karl <contact@scowencomputers.co.nz>
Date: Fri, 28 Aug 2020 12:26:33 +1200
Subject: [PATCH] Don't draw the stroke when filling a path

While it may have been needed once, it isn't now.
---
 src/graphics-cairo.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/graphics-cairo.c b/src/graphics-cairo.c
index 8fb76c3e1..6a94f8de4 100644
--- a/src/graphics-cairo.c
+++ b/src/graphics-cairo.c
@@ -520,8 +520,7 @@ cairo_FillPath (GpGraphics *graphics, GpBrush *brush, GpPath *path)
 
 	cairo_set_fill_rule (graphics->ct, gdip_convert_fill_mode (path->fill_mode));
 
-	// filled paths includes the stroke
-	return fill_graphics_with_brush (graphics, brush, TRUE);
+	return fill_graphics_with_brush (graphics, brush, FALSE);
 }
 
 static void
